Page MenuHomePhabricator

Cookbooks: convert remaining wmf-* scripts
Closed, ResolvedPublic

Description

As part of the parent Goal, convert all the other wmf-* scripts to Cookbooks (e.g. decom, downtime, upgrade & reboot, upgrade Varnish)

Event Timeline

Volans triaged this task as Normal priority.Oct 1 2018, 3:59 PM
Volans created this task.

Change 480072 had a related patch set uploaded (by Volans; owner: Volans):
[operations/cookbooks@master] sre.hosts: add upgrade and reboot cookbook

https://gerrit.wikimedia.org/r/480072

Change 480103 had a related patch set uploaded (by Ema; owner: Ema):
[operations/cookbooks@master] sre.hosts: add varnish upgrade cookbook

https://gerrit.wikimedia.org/r/480103

Volans moved this task from Backlog to In Progress on the SRE-tools board.Dec 19 2018, 10:23 AM

Some of the other scripts have been migrated, CR are ready, pending to deploy the new 0.0.10 release of Spicerack.
Given that the newer Spicerack package was not deployed today and we decided to postpone it to the first week after the holidays, I've add -2 to those CRs to avoid accidental merges.

Change 480072 merged by jenkins-bot:
[operations/cookbooks@master] sre.hosts: add upgrade and reboot cookbook

https://gerrit.wikimedia.org/r/480072

Change 484422 had a related patch set uploaded (by Volans; owner: Volans):
[operations/cookbooks@master] cookbooks.sre.hosts: improve upgrade-and-reboot

https://gerrit.wikimedia.org/r/484422

Change 484432 had a related patch set uploaded (by Volans; owner: Volans):
[operations/cookbooks@master] sre.host: add Icinga downtime cookbook

https://gerrit.wikimedia.org/r/484432

Change 484422 merged by jenkins-bot:
[operations/cookbooks@master] cookbooks.sre.hosts: improve upgrade-and-reboot

https://gerrit.wikimedia.org/r/484422

Change 484432 merged by jenkins-bot:
[operations/cookbooks@master] sre.host: add Icinga downtime cookbook

https://gerrit.wikimedia.org/r/484432

Change 487982 had a related patch set uploaded (by Volans; owner: Volans):
[operations/cookbooks@master] sre.hosts: add decommission cookbook

https://gerrit.wikimedia.org/r/487982

Change 487982 merged by jenkins-bot:
[operations/cookbooks@master] sre.hosts: add decommission cookbook

https://gerrit.wikimedia.org/r/487982

Change 480103 merged by jenkins-bot:
[operations/cookbooks@master] sre.hosts: add varnish upgrade cookbook

https://gerrit.wikimedia.org/r/480103

Change 527170 had a related patch set uploaded (by Volans; owner: Volans):
[operations/puppet@production] cumin: remove old scripts converted to cookbooks

https://gerrit.wikimedia.org/r/527170

Change 527170 merged by Volans:
[operations/puppet@production] cumin: remove old scripts converted to cookbooks

https://gerrit.wikimedia.org/r/527170

Mentioned in SAL (#wikimedia-operations) [2019-08-05T13:37:47Z] <volans> run cumin 'A:cumin' 'rm -v /usr/local/sbin/{wmf-upgrade-varnish,wmf-upgrade-and-reboot,wmf-downtime-host,wmf-decommission-host}' T205886

Volans closed this task as Resolved.Mon, Aug 5, 1:38 PM
Volans claimed this task.